Subject: Bug#923: [X2Go-Dev] Bug#923: .xsession-x2go-errors improvements

From: Mike DePaulo <[email-masked]>
Date: Tue, 18 Aug 2015 23:25:52 -0400

On Tue, Aug 18, 2015 at 11:46 AM, Orion Poplawski <[email-masked]>
wrote:

> Package: x2goserver
> Version: 4.0.1.19
>
> First issue is that ~/.xsession-x2go-errors is always appended to so it
> grows
> forever.  It should at least get rotated to .old file.
>

I wholeheartedly agree. Plus there are weird instances where a command will
make it grow to GB in size quickly.

In general, I believe in following what the local X.org server sessions do.
However, since I am often debugging issues with why apps are not working
properly with X2Go, I would rather rotate than delete.

> Second is with shared NFS home directories, multiple X2Go sessions get
> logged
> to the same file which is confusing.  I would suggest putting the host name
> into the log file name.

I wholeheartedly agree. Gluster (for HA home dirs) is affected too.

-Mike